Operation Description queryCombinedPreventionPolicyMembers query_combined_policy_membersSearch for members of a Prevention Policy in your environment by providing a FQL filter and paging details. Returns a set of host details which match the filter criteria queryCombinedPreventionPolicies query_combined_policiesSearch for Prevention Policies in your environment by providing a FQL filter and paging details. Returns a set of Prevention Policies which match the filter criteria performPreventionPoliciesAction perform_policies_actionPerform the specified action on the Prevention Policies specified in the request setPreventionPoliciesPrecedence set_policies_precedenceSets the precedence of Prevention Policies based on the order of IDs specified in the request. The first ID specified will have the highest precedence and the last ID specified will have the lowest. You must specify all non-Default Policies for a platform when updating precedence getPreventionPolicies get_policiesRetrieve a set of Prevention Policies by specifying their IDs createPreventionPolicies create_policiesCreate Prevention Policies by specifying details about the policy to create deletePreventionPolicies delete_policiesDelete a set of Prevention Policies by specifying their IDs updatePreventionPolicies update_policiesUpdate Prevention Policies by specifying the ID of the policy and details to update queryPreventionPolicyMembers query_policy_membersSearch for members of a Prevention Policy in your environment by providing a FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria queryPreventionPolicies query_policiesSearch for Prevention Policies in your environment by providing a FQL filter and paging details. Returns a set of Prevention Policy IDs which match the filter criteria
Search for members of a Prevention Policy in your environment by providing a FQL filter and paging details. Returns a set of host details which match the filter criteria
GET /policy/combined/prevention-members/v1
Scope Prevention Policies: READ Consumes · Produces application/json
PEP 8 query_combined_policy_members
Name Type Data type Description filter query string FQL query expression that should be used to limit the results. limit query integer Maximum number of records to return. Max: 5000. offset query string Starting index of overall result set from which to return ids. id query string The ID of the Prevention Policy to search for members of. sort query string The property to sort by. parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_combined_policy_members( id = "string" ,
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryCombinedPreventionPolicyMembers( id = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryCombinedPreventionPolicyMembers" ,
Get-FalconPreventionPolicyMember - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . QueryCombinedPreventionPolicyMembers (
& prevention_policies . QueryCombinedPreventionPolicyMembersParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . queryCombinedPreventionPolicyMembers (
use rusty_falcon :: apis :: prevention_policies_api :: query_combined_prevention_policy_members;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_combined_prevention_policy_members (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. query_combined_prevention_policy_members ( id: 'string' ,
Search for Prevention Policies in your environment by providing a FQL filter and paging details. Returns a set of Prevention Policies which match the filter criteria
GET /policy/combined/prevention/v1
Scope Prevention Policies: READ Consumes · Produces application/json
PEP 8 query_combined_policies
Name Type Data type Description filter query string FQL query expression that should be used to limit the results. limit query integer Maximum number of records to return. Max: 5000. offset query string Starting index of overall result set from which to return ids. sort query string The property to sort by. Available fields: created_by, modified_timestamp, created_timestamp, name, enabled, platform_name, modified_by, precedence. Example: created_timestamp.desc parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_combined_policies( filter = "string" ,
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryCombinedPreventionPolicies( filter = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryCombinedPreventionPolicies" ,
Get-FalconPreventionPolicy - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . QueryCombinedPreventionPolicies (
& prevention_policies . QueryCombinedPreventionPoliciesParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . queryCombinedPreventionPolicies (
use rusty_falcon :: apis :: prevention_policies_api :: query_combined_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_combined_prevention_policies (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. query_combined_prevention_policies ( filter: 'string' ,
Perform the specified action on the Prevention Policies specified in the request
POST /policy/entities/prevention-actions/v1
Scope Prevention Policies: WRITE Consumes · Produces application/json
PEP 8 perform_policies_action
Name Type Data type Description action_name query string The action to perform. Allowed values: add-host-group, add-rule-group, disable, enable, remove-host-group, remove-rule-group. action_parameters body list of dictionaries List of name / value pairs in JSON format. body body dictionary Full body payload in JSON format. group_id body action_parameters string Host Group ID to apply the policy to. String. Overridden if action_parameters is specified. ids body string or list of strings Prevention Policy ID(s) to perform actions against. parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.perform_policies_action( action_name = "string" ,
action_parameters = [{ "key" : "value" }],
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.performPreventionPoliciesAction( action_name = "string" ,
action_parameters = [{ "key" : "value" }],
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "performPreventionPoliciesAction" ,
Invoke-FalconPreventionPolicyAction - Name "string" - Id "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . PerformPreventionPoliciesAction (
& prevention_policies . PerformPreventionPoliciesActionParams {
Body : & models . MsaEntityActionRequestV2 {
ActionParameters : [] interface {}{
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . performPreventionPoliciesAction (
use rusty_falcon :: apis :: prevention_policies_api :: perform_prevention_policies_action;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: MsaEntityActionRequestV2 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = MsaEntityActionRequestV2 {
ids : vec! [ "string" . to_string ()],
let response = perform_prevention_policies_action (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
body = Falcon :: MsaEntityActionRequestV2 . new (
response = api. perform_prevention_policies_action (body, 'string' )
Sets the precedence of Prevention Policies based on the order of IDs specified in the request. The first ID specified will have the highest precedence and the last ID specified will have the lowest. You must specify all non-Default Policies for a platform when updating precedence
POST /policy/entities/prevention-precedence/v1
Scope Prevention Policies: WRITE Consumes · Produces application/json
PEP 8 set_policies_precedence
Name Type Data type Description body body dictionary Full body payload in JSON format. ids body string or list of strings Prevention Policy ID(s) to adjust precedence. platform_name body string OS platform name. Linux, Mac, Windows, iOS, Android.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.set_policies_precedence( ids = id_list, platform_name = "string" )
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.setPreventionPoliciesPrecedence( ids = id_list,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
"platform_name" : "string"
response = falcon.command( "setPreventionPoliciesPrecedence" , body = body_payload)
Set-FalconPreventionPrecedence - PlatformName "string" - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
platform_name := "string"
response , err := client . PreventionPolicies . SetPreventionPoliciesPrecedence (
& prevention_policies . SetPreventionPoliciesPrecedenceParams {
Body : & models . BaseSetPolicyPrecedenceReqV1 {
PlatformName : & platform_name ,
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . setPreventionPoliciesPrecedence (
use rusty_falcon :: apis :: prevention_policies_api :: set_prevention_policies_precedence;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: BaseSetPolicyPrecedenceReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = BaseSetPolicyPrecedenceReqV1 {
ids : vec! [ "string" . to_string ()],
platform_name : Some ( "string" . to_string ()),
let response = set_prevention_policies_precedence (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
body = Falcon :: BaseSetPolicyPrecedenceReqV1 . new (
response = api. set_prevention_policies_precedence (body)
Retrieve a set of Prevention Policies by specifying their IDs
GET /policy/entities/prevention/v1
Scope Prevention Policies: READ Consumes · Produces application/json
PEP 8 get_policies
Name Type Data type Description ids query string or list of strings The ID(s) of the Prevention Policies to return. parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_policies( ids = id_list)
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.getPreventionPolicies( ids = id_list)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "getPreventionPolicies" ,
Get-FalconPreventionPolicy - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . GetPreventionPolicies (
& prevention_policies . GetPreventionPoliciesParams {
Ids : [] string { "ID1" , "ID2" , "ID3" },
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . getPreventionPolicies ([ "ID1" , "ID2" , "ID3" ]); // ids
use rusty_falcon :: apis :: prevention_policies_api :: get_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = get_prevention_policies (
& falcon . cfg, // configuration
vec! [ "string" . to_string ()], // ids
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. get_prevention_policies ([ 'ID1' , 'ID2' , 'ID3' ])
Create Prevention Policies by specifying details about the policy to create
POST /policy/entities/prevention/v1
Scope Prevention Policies: WRITE Consumes · Produces application/json
PEP 8 create_policies
Name Type Data type Description body body dictionary Full body payload in JSON format. clone_id body string Prevention Policy ID to clone. description body string Prevention Policy description. name body string Prevention Policy name. platform_name body string Operating system platform name. Linux, Mac, Windows, iOS, Android. settings body list of dictionaries List of policy-specific settings to apply to the newly created policy. Multiple settings can be applied by passing a list containing multiple entries.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.create_policies( clone_id = "string" ,
settings = [{ "key" : "value" }])
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.createPreventionPolicies( clone_id = "string" ,
settings = [{ "key" : "value" }])
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
"platform_name" : "string" ,
response = falcon.command( "createPreventionPolicies" , body = body_payload)
New-FalconPreventionPolicy - Name "string" - PlatformName "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
platform_name := "string"
response , err := client . PreventionPolicies . CreatePreventionPolicies (
& prevention_policies . CreatePreventionPoliciesParams {
Body : & models . PreventionCreatePoliciesReqV1 {
Resources : [] interface {}{
Description : & description ,
PlatformName : & platform_name ,
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . createPreventionPolicies (
use rusty_falcon :: apis :: prevention_policies_api :: create_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: PreventionCreatePoliciesReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = PreventionCreatePoliciesReqV1 {
resources : vec! [ CreatePolicyReqV1 {
name : Some ( "string" . to_string ()),
platform_name : Some ( "string" . to_string ()),
let response = create_prevention_policies (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
body = Falcon :: PreventionCreatePoliciesReqV1 . new (
response = api. create_prevention_policies (body)
Delete a set of Prevention Policies by specifying their IDs
DELETE /policy/entities/prevention/v1
Scope Prevention Policies: WRITE Consumes · Produces application/json
PEP 8 delete_policies
Name Type Data type Description ids query string or list of strings The ID(s) of the Prevention Policies to delete. parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_policies( ids = id_list)
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.deletePreventionPolicies( ids = id_list)
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command( "deletePreventionPolicies" ,
Remove-FalconPreventionPolicy - Id @ ( "ID1" , "ID2" )
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . DeletePreventionPolicies (
& prevention_policies . DeletePreventionPoliciesParams {
Ids : [] string { "ID1" , "ID2" , "ID3" },
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . deletePreventionPolicies ([ "ID1" , "ID2" , "ID3" ]); // ids
use rusty_falcon :: apis :: prevention_policies_api :: delete_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = delete_prevention_policies (
& falcon . cfg, // configuration
vec! [ "string" . to_string ()], // ids
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. delete_prevention_policies ([ 'ID1' , 'ID2' , 'ID3' ])
Update Prevention Policies by specifying the ID of the policy and details to update
PATCH /policy/entities/prevention/v1
Scope Prevention Policies: WRITE Consumes · Produces application/json
PEP 8 update_policies
Name Type Data type Description body body dictionary Full body payload in JSON format. description body string Prevention Policy description. id body string Prevention Policy ID to update. name body string Prevention Policy name. settings body list of dictionaries List of policy-specific settings to apply to the newly created policy. Multiple settings can be applied by passing a list containing multiple entries.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.update_policies( description = "string" ,
settings = [{ "key" : "value" }])
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.updatePreventionPolicies( description = "string" ,
settings = [{ "key" : "value" }])
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "updatePreventionPolicies" , body = body_payload)
Edit-FalconPreventionPolicy - Id "string"
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
" github.com/crowdstrike/gofalcon/falcon/models "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . UpdatePreventionPolicies (
& prevention_policies . UpdatePreventionPoliciesParams {
Body : & models . PreventionUpdatePoliciesReqV1 {
Resources : [] interface {}{
Description : & description ,
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . updatePreventionPolicies (
use rusty_falcon :: apis :: prevention_policies_api :: update_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
use rusty_falcon :: models :: PreventionUpdatePoliciesReqV1 ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let body = PreventionUpdatePoliciesReqV1 {
resources : vec! [ UpdatePolicyReqV1 {
id : Some ( "string" . to_string ()),
settings : vec! [ SettingReqV1 {
id : Some ( "string" . to_string ()),
value : Default :: default (),
let response = update_prevention_policies (
& falcon . cfg, // configuration
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
body = Falcon :: PreventionUpdatePoliciesReqV1 . new (
response = api. update_prevention_policies (body)
Search for members of a Prevention Policy in your environment by providing a FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria
GET /policy/queries/prevention-members/v1
Scope Prevention Policies: READ Consumes · Produces application/json
PEP 8 query_policy_members
Name Type Data type Description filter query string FQL query expression that should be used to limit the results. limit query integer Maximum number of records to return. Max: 5000. offset query string Starting index of overall result set from which to return ids. id query string The ID of the Prevention Policy to search for members of. sort query string The property to sort by. parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policy_members( id = "string" ,
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryPreventionPolicyMembers( id = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryPreventionPolicyMembers" ,
Get-FalconPreventionPolicyMember - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . QueryPreventionPolicyMembers (
& prevention_policies . QueryPreventionPolicyMembersParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . queryPreventionPolicyMembers (
use rusty_falcon :: apis :: prevention_policies_api :: query_prevention_policy_members;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_prevention_policy_members (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. query_prevention_policy_members ( id: 'string' ,
Search for Prevention Policies in your environment by providing a FQL filter and paging details. Returns a set of Prevention Policy IDs which match the filter criteria
GET /policy/queries/prevention/v1
Scope Prevention Policies: READ Consumes · Produces application/json
PEP 8 query_policies
Name Type Data type Description filter query string FQL query expression that should be used to limit the results. limit query integer Maximum number of records to return. Max: 5000. offset query string Starting index of overall result set from which to return ids. sort query string The property to sort by. Available fields: created_by, modified_timestamp, created_timestamp, name, enabled, platform_name, modified_by, precedence. Example: created_timestamp.desc parameters query dictionary Full query string parameters payload in JSON format.
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.query_policies( filter = "string" ,
from falconpy import PreventionPolicy
falcon = PreventionPolicy( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.queryPreventionPolicies( filter = "string" ,
from falconpy import APIHarnessV2
falcon = APIHarnessV2( client_id = CLIENT_ID ,
client_secret = CLIENT_SECRET
response = falcon.command( "queryPreventionPolicies" ,
Get-FalconPreventionPolicy - Filter "string" `
" github.com/crowdstrike/gofalcon/falcon "
" github.com/crowdstrike/gofalcon/falcon/client/prevention_policies "
client , err := falcon . NewClient ( & falcon . ApiConfig {
ClientId : os . Getenv ( "FALCON_CLIENT_ID" ),
ClientSecret : os . Getenv ( "FALCON_CLIENT_SECRET" ),
Context : context . Background (),
response , err := client . PreventionPolicies . QueryPreventionPolicies (
& prevention_policies . QueryPreventionPoliciesParams {
Context : context . Background (),
panic ( falcon . ErrorExplain ( err ))
fmt . Printf ( " %+v \n " , response . Payload )
import { FalconClient } from "crowdstrike-falcon" ;
const client = new FalconClient ({
cloud: process . env . FALCON_CLOUD ! ,
clientId: process . env . FALCON_CLIENT_ID ! ,
clientSecret: process . env . FALCON_CLIENT_SECRET ! ,
const response = await client . preventionPolicies . queryPreventionPolicies (
use rusty_falcon :: apis :: prevention_policies_api :: query_prevention_policies;
use rusty_falcon :: easy :: client :: FalconHandle ;
let falcon = FalconHandle :: from_env () . await . expect ( "Could not authenticate" );
let response = query_prevention_policies (
& falcon . cfg, // configuration
Some ( "string" ), // filter
) . await . expect ( "API call failed" );
println! ( "{:?}" , response );
Falcon . configure do | config |
config. client_id = ENV [ "FALCON_CLIENT_ID" ]
config. client_secret = ENV [ "FALCON_CLIENT_SECRET" ]
config. cloud = ENV [ "FALCON_CLOUD" ]
api = Falcon :: PreventionPolicies . new
response = api. query_prevention_policies ( filter: 'string' ,